# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/mfd/ti,lp87561-q1.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: TI LP87561-Q1 single 4-phase output buck converter

maintainers:
  - Keerthy <j-keerthy@ti.com>

properties:
  compatible:
    const: ti,lp87561-q1

  reg:
    description: I2C slave address
    const: 0x60

  gpio-controller: true

  '#gpio-cells':
    description:
      The first cell is the pin number.
      The second cell is is used to specify flags.
      See ../gpio/gpio.txt for more information.
    const: 2

  buck3210-in-supply:
    description:
      Voltage regulator supply for all the four BUCK converters.

  regulators:
    type: object

    properties:
      buck3210:
        type: object
        $ref: /schemas/regulator/regulator.yaml#

    required:
      - buck3210

    additionalProperties: false

required:
  - compatible
  - reg
  - gpio-controller
  - '#gpio-cells'
  - buck3210-in-supply

additionalProperties: false

examples:
  - |
    i2c@0 {
        reg = <0x0 0x100>;
        #address-cells = <1>;
        #size-cells = <0>;

        pmic@60 {
            compatible = "ti,lp87561-q1";
            reg = <0x60>;
            gpio-controller;
            #gpio-cells = <2>;

            buck3210-in-supply = <&vsys_3v3>;

            regulators {
                buck3210_reg: buck3210 {
                    /* VDD_CORE */
                    regulator-name = "buck3210";
                    regulator-min-microvolt = <800000>;
                    regulator-max-microvolt = <800000>;
                    regulator-always-on;
                    regulator-boot-on;
                };
            };
        };
    };

...
